Skip to main content
GET
/
v1
/
bank-accounts
/
{accountId}
/
transactions
/
{transactionId}
Get a single transaction for a bank account
curl --request GET \
  --url https://dev.flextell.ai/api/v1/bank-accounts/{accountId}/transactions/{transactionId} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Tenant: <x-tenant>'
{
  "success": "<string>",
  "data": {
    "id": 123,
    "tenant_id": 123,
    "batch_uuid": "<string>",
    "account_id": 123,
    "currency_id": 123,
    "exchange_rate": 123,
    "debit": "<string>",
    "credit": "<string>",
    "amount": "<string>",
    "transaction_date": "2023-11-07T05:31:56Z",
    "type": "<string>",
    "payment_method": "<string>",
    "description": "<string>",
    "invoice_number": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z",
    "account": {
      "id": 123,
      "name": "<string>"
    },
    "currency": {
      "id": 123,
      "code": "<string>",
      "symbol": "<string>",
      "name": "<string>"
    }
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

accountId
integer
required

The bank account identifier

transactionId
integer
required

The transaction identifier

Response

success
string
required
data
AccountTransactionResource · object
required